#include "MediaType.h"
#include <iostream>

using namespace std;

int main(int argc, char **argv)
{

   if(argc < 2) {
      cerr << "Usage: " << argv[0] << " filename" << endl;
      return 1;
   }

   MediaType::MediaDescriptor md = MediaType::check(argv[1]);
   cout << argv[1] << " is " << MediaType::getDescription(md.type) << 
        (md.hasID3 ? " with ID3 headers.":".") << endl;

   return 0;
}

